POST /agent/trial/quote
获取新的精确报价,不执行工具;Call 前核对工具、参数和费用授权。
REST API 概览 · OpenAPI JSON · OpenAPI YAML
| 稳定性 | 认证 | 费用 | Operation ID |
|---|---|---|---|
| 已发布 | 私密 Agent 试用持有证明 | 免费 | quote_api_v1_agent_trial_quote_post |
此操作没有路径或查询参数。
Schema: TrialToolRequest
| 名称 | 必填 | 类型 | 说明 |
|---|---|---|---|
toolId | 是 | string | — |
parameters | 是 | object | — |
providerId | 否 | string | null | — |
curl --fail-with-body --request POST \
--url "https://qveris.cn/api/v1/agent/trial/quote" \
--header "Authorization: Bearer $QVERIS_TRIAL_PROOF" \
--header 'Content-Type: application/json' \
--data '{
"toolId": "string",
"parameters": {}
}'
const response = await fetch("https://qveris.cn/api/v1/agent/trial/quote", {
method: "POST",
credentials: "omit",
redirect: "error",
headers: {
Authorization: `Bearer ${process.env.QVERIS_TRIAL_PROOF}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"toolId": "string",
"parameters": {}
}),
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
if (response.status !== 204) console.log(await response.json())
import json
import os
import requests
response = requests.request(
"POST",
"https://qveris.cn/api/v1/agent/trial/quote",
headers={"Authorization": f"Bearer {os.environ['QVERIS_TRIAL_PROOF']}"},
allow_redirects=False,
json=json.loads(r'''{
"toolId": "string",
"parameters": {}
}'''),
timeout=30,
)
response.raise_for_status()
if response.status_code != 204:
print(response.json())
| 状态码 | 含义 | Schema |
|---|---|---|
200 | Successful Response | APIResponse_TrialQuoteView_ |
400 | Bad Request | APIResponse_BrowserTrialFailure_ |
401 | Unauthorized | APIResponse_BrowserTrialFailure_ |
413 | Request Entity Too Large | APIResponse_BrowserTrialFailure_ |
422 | Unprocessable Entity | APIResponse_BrowserTrialFailure_ |
429 | Too Many Requests | APIResponse_BrowserTrialFailure_ |
{
"status": "string",
"message": "string"
}
这个页面对你有帮助吗?